import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
  * Einfache Version fuer den Raumplaner:
  * Neue Objekte koennen erzeugt werden,
  * Attribute werden angezeigt.
  *
  * @version 1.0 vom 13.12.2007
  * @author
  */

public class Gui extends JFrame {
  // Anfang Variablen

  // Anfang Attribute
  private JButton jButton1 = new JButton();
  private JButton jButton2 = new JButton();
  private JButton jButton3 = new JButton();
  private JPanel jButtonGroup1Panel = new JPanel();
  private ButtonGroup jButtonGroup1 = new ButtonGroup();
  private JRadioButton jRadioButtonStuhl = new JRadioButton("Stuhl");
  private JRadioButton jRadioButtonTisch = new JRadioButton("Tisch");
  private JRadioButton jRadioButtonBett = new JRadioButton("Bett");
  private JRadioButton jRadioButtonSchrank = new JRadioButton("Schrank");
  private JRadioButton jRadioButtonSchrankwand = new JRadioButton("Schrankwand");
  // Ende Attribute

  // Ende Variablen

  public Gui(String title) {
    // Frame-Initialisierung
    super(title);
    this.setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent evt) {
         beendenAction();
      }
    });
    int frameWidth = 300;
    int frameHeight = 300;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2 ;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jButton1.setBounds(208, 216, 75, 25);
    jButton1.setText("Ende");
    cp.add(jButton1);
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1ActionPerformed(evt);
      }
    });

    jButton2.setBounds(16, 216, 147, 25);
    jButton2.setText("gewaehlt ?");
    cp.add(jButton2);
    jButton2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton2ActionPerformed(evt);
      }
    });
    
    jButton3.setBounds(224, 56, 57, 129);
    jButton3.setText("neu");
    cp.add(jButton3);
    jButton3.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton3ActionPerformed(evt);
      }
    });


    jButtonGroup1Panel.setBounds(16, 56, 185, 129);
    jButtonGroup1Panel.setLayout(new GridLayout(5, 1));
    // Stuhl
    jRadioButtonStuhl.setActionCommand("Stuhl");
    jButtonGroup1.add(jRadioButtonStuhl);
    jButtonGroup1Panel.add(jRadioButtonStuhl);
    // Tisch
    jRadioButtonTisch.setActionCommand("Tisch");
    jButtonGroup1.add(jRadioButtonTisch);
    jButtonGroup1Panel.add(jRadioButtonTisch);
    // Bett
    jRadioButtonBett.setActionCommand("Bett");
    jButtonGroup1.add(jRadioButtonBett);
    jButtonGroup1Panel.add(jRadioButtonBett);
    // Schrank
    jRadioButtonSchrank.setActionCommand("Schrank");
    jButtonGroup1.add(jRadioButtonSchrank);
    jButtonGroup1Panel.add(jRadioButtonSchrank);
    // Schrankwand
    jRadioButtonSchrankwand.setActionCommand("Schrankwand");
    jButtonGroup1.add(jRadioButtonSchrankwand);
    jButtonGroup1Panel.add(jRadioButtonSchrankwand);
    // Auswahl erzwingen
    jRadioButtonStuhl.setSelected(true);
    cp.add(jButtonGroup1Panel);

    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden

  // Anfang Ereignisprozeduren
  public void jButton1ActionPerformed(ActionEvent evt) {
     beendenAction();
  }

  public void jButton2ActionPerformed(ActionEvent evt) {
     ButtonModel selected = jButtonGroup1.getSelection();
     JOptionPane.showMessageDialog(this, "Der gewaehlte Radiobutton ist: "+selected.getActionCommand());
  }
  
  private void beendenAction(){
     if (JOptionPane.showConfirmDialog(this,"wirklich beenden")
         ==JOptionPane.YES_OPTION) System.exit(0);
  }

  public void jButton3ActionPerformed(ActionEvent evt) {
     Moebel neu=null;
     ButtonModel selected = jButtonGroup1.getSelection();
     if (selected.getActionCommand().equals("Stuhl")) neu = new Stuhl();
     if (selected.getActionCommand().equals("Tisch")) neu = new Tisch();
     if (selected.getActionCommand().equals("Bett")) neu = new Bett();
     if (selected.getActionCommand().equals("Schrank")) neu = new Schrank();
     if (selected.getActionCommand().equals("Schrankwand")) neu = new Schrankwand(3);
     neu.zeige();

  }

  // Ende Ereignisprozeduren

  public static void main(String[] args) {
    new Gui("Gui");
  }
  // Ende Methoden
}

